/*
%%% copyright-cmetz-96
This software is Copyright 1996-1998 by Craig Metz, All Rights Reserved.
The Inner Net License Version 2 applies to this software.
You should have received a copy of the license with this software. If
you didn't get a copy, you may request one from <license@inner.net>.

*/
#ifndef _NETINET6_IPV6_H
#define _NETINET6_IPV6_H 1

#if __GNU_LIBRARY__ == 6
#include <endian.h>
#else /* __GNU_LIBRARY__ == 6 */
#include <asm/byteorder.h>
#endif /* __GNU_LIBRARY__ == 6 */

struct ipv6hdr {
#if __BYTE_ORDER == __LITTLE_ENDIAN
  uint8_t ipv6_version:4;
  uint8_t ipv6_priority:4; /* going away? */
  uint32_t ipv6_flowid:24;
#elif __BYTE_ORDER == __BIG_ENDIAN
  uint32_t ipv6_flowid:24;
  uint8_t ipv6_priority:4; /* going away? */
  uint8_t ipv6_version:4;
#else
#error "Can't determine byte order"
#endif
  uint16_t ipv6_len;
  uint8_t ipv6_nextheader;
  uint8_t ipv6_hoplimit;
  struct in6_addr ipv6_src;
  struct in6_addr ipv6_dst;
};
#endif /* _NETINET6_IPV6_H */
